> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ユーザー検索

> キーワードでユーザーを検索する

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

User Search エンドポイントを使用すると、キーワードでユーザーを検索できます。名前、ユーザー名、または自己紹介文の内容によってユーザーを見つけることができます。

<div id="overview">
  ## 概要
</div>

<CardGroup cols={2}>
  <Card title="キーワード検索" icon="magnifying-glass">
    名前、ユーザー名、自己紹介で検索
  </Card>

  <Card title="ユーザーを見つける" icon="user-plus">
    関連性の高いアカウントを見つける
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## エンドポイント
</div>

| Method | Endpoint                                          | 説明        |
| :----- | :------------------------------------------------ | :-------- |
| GET    | [`/2/users/search`](/ja/x-api/users/search-users) | ユーザーを検索する |

***

<div id="example-request">
  ## リクエストの例
</div>

```bash theme={null}
curl "https://api.x.com/2/users/search?\
query=python%20developer&\
user.fields=description,verified,public_metrics" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## レスポンス例
</div>

```json theme={null}
{
  "data": [
    {
      "id": "1234567890",
      "name": "Python Developer",
      "username": "pythondev",
      "description": "Building cool things with Python",
      "verified": false,
      "public_metrics": {
        "followers_count": 5000,
        "following_count": 200,
        "tweet_count": 1500
      }
    }
  ],
  "meta": {
    "result_count": 1
  }
}
```

***

<div id="getting-started">
  ## はじめに
</div>

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 開発者コンソール内の[Project と App](/ja/resources/fundamentals/developer-apps)
  * 自分の App の[キーとトークン](/ja/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="ユーザー検索" icon="user" href="/ja/x-api/users/lookup/introduction">
    ユーザーを ID またはユーザー名で検索
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/users/user-search">
    エンドポイントの完全なドキュメント
  </Card>
</CardGroup>
